<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="demo">
        <h1>测试 v-for 遍历数组</h1>
        <ul>
            <li v-for="(item,index) in person" :key="index">
                {{index}}...{{item.name}}...{{item.age}}
                <button @click="del(index)">删除</button>
                <button @click="upd(index, {name:'xx',age:20})">更新</button>
            </li>
            
        </ul>

        <h1>测试 v-for 遍历对象</h1>
        <ul>
            <li v-for="(item,key) in person[0]" :key="key">
                {{key}}--- {{item}}
            </li>
        </ul>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        new Vue({
            el:"#demo",
            data:{
                person:[
                    {name:'tom',age:20},
                    {name:'ww',age:15},
                    {name:'aa',age:19},
                    {name:'bb',age:20}
                ]
            },
            methods:{
                // splic(第几项，删除几个，增加一项)
                del(index){
                    this.person.splice(index, 1)
                    // this.person.reverse(index)
                },
                upd(index,newP){
                    this.person.splice(index, 1, newP)
                }
            }
        })
    </script>
</body>
</html>